package com.mobvcasting.videocaptureintent;

import java.io.File;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.VideoView;

public class VideoCaptureIntent extends Activity {
	
    Button aButton; 
    String videoFilePath;
    VideoView videoView;
    
	public final int VIDEO_RESULT = 0;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        videoFilePath = Environment.getExternalStorageDirectory().getAbsolutePath() + "/tmpvideo.mp4";
        Log.v("IMAGE FILE",videoFilePath);

        aButton = (Button) this.findViewById(R.id.Button01);
        aButton.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {

				File videoFile = new File(videoFilePath);
				Uri videoFileUri = Uri.fromFile(videoFile);
				
				Intent i = new Intent(android.provider.MediaStore.ACTION_VIDEO_CAPTURE);
				i.putExtra(android.provider.MediaStore.EXTRA_OUTPUT, videoFileUri);

				startActivityForResult(i, VIDEO_RESULT);
			}});  
        
        videoView = (VideoView) this.findViewById(R.id.VideoView01);
        
    }
   
    protected void onActivityResult(int requestCode, int resultCode, Intent intent) 
    {       		
		super.onActivityResult(requestCode, resultCode, intent);

		switch(requestCode) 
		{
			case VIDEO_RESULT:
				
				if (resultCode == RESULT_OK)
				{
					Log.v("RESULTS","HERE");
					videoView.setVideoPath(videoFilePath);
					videoView.start();
				}
				break;    
		}
    }
    
}